Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class NationalitiesWithUpdateStatusType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.NationalitiesWithUpdateStatusType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-09-22T05:58:15+02:00",
               comments="JAXB RI v2.2.11")
    public class NationalitiesWithUpdateStatusType

extends Object
implements Serializable

Java class for NationalitiesWithUpdateStatusType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NationalitiesWithUpdateStatusType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence minOccurs="0">
             <element name="Nationality" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}NationalityInfoBaseType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Status" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}UpdateDatagroupStatusType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`NationalitiesWithUpdateStatusType()`

Method Summary
`List<NationalityInfoBaseType>` | `getNationalities()` Gets the value of the nationalities property.
`String` | `getStatus()` Gets the value of the status property.
`void` | `setStatus(String value)` Sets the value of the status property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NationalitiesWithUpdateStatusType

    public NationalitiesWithUpdateStatusType()

Method Detail

### getNationalities

    public List<NationalityInfoBaseType> getNationalities()

  Gets the value of the nationalities property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nationalities property.

  For example, to add a new item, do as follows:

          getNationalities().add(newItem);

  Objects of the following type(s) are allowed in the list `NationalityInfoBaseType`

### getStatus

    public String getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `String`

### setStatus

    public void setStatus(String value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.